Welcome to PrintSniffer

PrintSniffer is a powerful but easy to use printer monitoring solution.

PrintSniffer is a software that allow system administrator to monitor and control printing in their corporate network. Versatile logging and reporting features allow for a clear view of what is being printed, how much paper is consumed, etc. In order to avoid vast printing expenses system administrators can setup alerts for themselves and finally limit employee's ability to print larger documents. Unless PrintSniffer is setup to limit printing, it works in undercover mode and cannot be detected.

http://www.printsniffer.com

Thank you for using our product - PrintSniffer.

PrintSniffer's Team


Key Features
  • Professional user interface which is very easy to use.
  • Display name of the user who created the job.
  • Display user's computer name where the job was created.
  • Display when the job was created.
  • Display how big in bytes was the document.
  • Display what application was used to print.
  • Number of printers that you can monitor is unlimited.
  • Support for remote internet printers and print servers.
  • Works well with databases such as: Microsoft® SQL Server, Oracle®, IBM® DB2®, Sybase®, Informix®, Microsoft® Access through ODBC or ADO.
  • Build-in a powerful report tool.
  • Supports the sending of email notifications via the Simple Mail Transport Protocol (SMTP).


System Requirements
  • Microsoft Windows 95, 98, ME, NT3, NT4, 2000, XP, 2003
  • Intel Pentium Processor or above
  • 64 MB RAM
  • 2 MB of available hard drive space
  • Network card and connection to the network


Installation and Un-installation

Installation:

Perform the following steps to install PrintSniffer

  • Double-click the executable file to run the installation program.
  • Follow the on-screen instructions.

Un-installation:

Perform the following steps to remove PrintSniffer from your computer:

  1. Choose Start > Settings > Control Panel > Add/Remove Programs.
  2. Choose PrintSniffer from the list.
  3. Select the Add/Remove button.
  4. Follow the on-screen instructions.


Software License

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

1. LICENSE GRANT. PrintSniffer grants you a license to use one copy of the version of this SOFTWARE on any one system for as many licenses as you purchase. "You" means the company, entity or individual whose funds are used to pay the license fee. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features. This license is not transferable to any other system, or to another organization or individual. You are expected to use the SOFTWARE on your system and to thoroughly evaluate its usefulness and functionality before making a purchase. This "try before you buy" approach is the ultimate guarantee that the SOFTWARE will perform to your satisfaction; therefore, you understand and agree that there is no refund policy for any purchase of the SOFTWARE.

2. OWNERSHIP. The SOFTWARE is owned and copyrighted by Ilya Solnyshkin. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE .

3. COPYRIGHT. The SOFTWARE is protected by US copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of PrintSniffer and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

4. REVERSE ENGINEERING. You agree that you will not attempt to reverse compile, modify, translate, or disassemble the SOFTWARE in whole or in part.

5. NO OTHER WARRANTIES. PrintSniffer DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE. PrintSniffer DISCLAIMS ALL OTHER WARRANTIES WITH RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

6. SEVERABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

7. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL PrintSniffer OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF PrintSniffer HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL PrintSniffer LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

8. GOVERNING LAW. This license will be governed by the laws of US . The United Nations Convention on Contracts for the International Sale of Goods is specifically disclaimed.

9. ENTIRE AGREEMENT. This is the entire agreement between you and PrintSniffer which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.


User Interface of PrintSniffer

PrintSniffer's main window has 4 tabs:

  • Actions
  • Notifications
  • Reports
  • Options

When you minimized window then PrintSniffer's icon will in system tray. Also you can resize the main window.


View "Actions"

This view splitted on three parts:

1) Top, where are tool buttons

2) Left, the tree of printers

3) Right, the table of printed jobs

You can change size of the left and right parts using splitter between their.

Buttons:

 The tree of printers refresh
Clear the table of printed jobs

Stop sniffering and Exit

The tree of printers:

Description of roots:
LOCAL | Only local printers
OTHER | You can add to this section another printers which PrintSniffer can't find. For example print-servers or printers from another subnet.
NETWORK | Only networks printers

Icons:

Group or domain

PC with printer

The table of printed jobs:

Columns:
Printer | Printer's name where was print job
Computer | User's computer name where the job was created
UserName | Name of the user who created the job
Date | Date of printed job
Time | Time of printed job
DataType | Type of printed content (system information)
TotalPages | Total pages
PrintedPages | Printed pages
Copies | Copies
Size | How big in bytes the document
Application | An application which used to print
Status | Printed job's status


View "Notifications"

Notification are the ways you want to be notified of printed job that occur.

You can use following methods for notifications:

  • Play a sound file
  • Send message via e-mail
  • Send message via network

PrintSniffer starts notification based on following criteria defined by administrator:

  • printer name
  • computer name
  • user name
  • date
  • time
  • total pages
  • printed pages
  • copies
  • size of document
  • document name


View "Reports"

The PrintSniffer's report tool can be used to get an overview of the printed jobs occurring on your printers.

PrintSniffer comes with 3 pre-defined reports, containing characteristics over a set period of time. The PrintSniffer's report tool can generate the following reports:

  • A printer-based details report, displaying printed jobs generated on particular printers.
  • A user-based overview report, displaying printed jobs generated by users.
  • A machine-based overview report, displaying printed jobs generated on particular machines.

For portability, PrintSniffer can convert your reports into the industry standard formats:

  • HTML
  • XML
  • Excel
  • Text

Reports based on specific criteria can be generated by using the "Create" button. If you selected "Open report after creating" check-box then created report will be opened in default viewer after creating.

Set up connection to database


View "Options"

Advanced PrintSniffer has 3 types of log saving:

  • Text file with Tab-separater
  • Database, which has ODBC-connection
  • Database, which has ADO-connection

Comment: Standart Advanced PrintSniffer's install kit include only Access2000 Database.

Select a value from the combo-box Log of Actions for choice of log's type and press the button [image] for set up connection.

If you press the button [image] then current application's configuration saves to PrintSniffer.ini file.

Option's descriptions:

Save List Sniffer's Printers | Save list of sniffer's printers then close application
Startup Sniffer Function on start program | Start sniffer function for selected printers then start the application
Auto Popup | Display application's window then start new print job on selected printer
Add personal descriptions | Add a personal description for the printed job
Startup with Windows | Start the application then start Windows

Connection setup:

  • for text file
  • for Database with ODBC-connection
  • for Database with ADO-connection

    File:

    1 step. Opened the dialog "Open File".

    Select a path to your file or input a new file name.

    2 step. Press the button Open

    for Database with ODBC-connection

    1 step. Opened the dialog "Select Data Source".

    2 step. Click on the second tab "Machine Data Source".

    3 step. Select Data Source Name "MS Access Database"

    4 step. Opened the dialog "Select Database"

    5 step. Select a path to our database and press the button OK

    for Database with ADO-connection

    1 step. Opened the dialog "Data Link Properties"

    2 step. Select "Microsoft OLE DB Provider for ODBC Drivers" and press the button "Next"
    3 step. Choice "Use connection string" and press the button "Build..."

    5 step. Opened the dialog "Select Data Source ".

    6 step. Choice the second tab "Machine Data Source ".

    7 step. Select Data Source Name "MS Access Database"

    8 step. Opened the dialog "Login" then press the button "Database..."

    9 step. Opened the dialog "Select Database "

    10 step. Select a path to our database and press the button OK

    11 step. In the dialog "Login" - press the button OK

            •